All endpoints are organized by resource. Refer to the Swagger documentation to view and test request parameters, request bodies, and response schemas. The base URL is https://app.innorix.com.
Auth
| Method | Endpoint | Description |
|---|
| POST | /api/auth/api-keys | Generate API key for the authenticated user |
| DELETE | /api/auth/api-keys | Revoke an API key |
| POST | /api/auth/login | User login |
| POST | /api/auth/logout | Logout user |
| GET | /api/auth/me | Get current authenticated user |
| PATCH | /api/auth/me | Update user account information |
| POST | /api/auth/token | Refresh the current session token (deprecated alias) |
| POST | /api/auth/token/refresh | Refresh the current session token |
Device
| Method | Endpoint | Description |
|---|
| GET | /api/devices | Get a list of devices |
| GET | /api/devices/resolve | Resolve deviceId by name / IP / MAC / host |
| GET | /api/devices/{deviceId} | Get a device detail by ID |
| PATCH | /api/devices/{deviceId} | Update device information |
| DELETE | /api/devices/{deviceId} | Delete a device by ID |
| GET | /api/devices/{deviceId}/connectivity | Get status connectivity of device |
| GET | /api/devices/{deviceId}/path-stats | Get total file count and total size on a path |
| POST | /api/devices/{deviceId}/restart | Restart a device |
| POST | /api/devices/{deviceId}/update-agent | Update agent of device |
Device Files
| Method | Endpoint | Description |
|---|
| GET | /api/devices/{deviceId}/files | List a device folder (non-streaming) |
| POST | /api/devices/{deviceId}/files/copy | Copy files on a device |
| POST | /api/devices/{deviceId}/files/delete | Remove files on a device |
| POST | /api/devices/{deviceId}/files/folders | Create a folder on a device |
| POST | /api/devices/{deviceId}/files/move | Move (cut) files on a device |
| POST | /api/devices/{deviceId}/files/rename | Rename a file on a device |
| POST | /api/devices/{deviceId}/files/search | Stream file or folder search results from a device |
| POST | /api/devices/{deviceId}/files/search/cancel | Cancel a file search operation on a device |
Device Groups
| Method | Endpoint | Description |
|---|
| GET | /api/device-groups | Get all device groups |
Hot Folder
| Method | Endpoint | Description |
|---|
| PATCH | /api/hot-folder-groups/{groupId} | Update hot folder group |
| DELETE | /api/hot-folder-groups/{groupId} | Delete hot folder group |
| GET | /api/hot-folders | Get all hot folders |
| POST | /api/hot-folders | Create a new hot folder |
| POST | /api/hot-folders/bulk-delete | Delete hot folders |
| GET | /api/hot-folders/{hotFolderId} | Get a hot folder by ID |
| PATCH | /api/hot-folders/{hotFolderId} | Update a hot folder |
| DELETE | /api/hot-folders/{hotFolderId} | Delete a hot folder |
Transfer
| Method | Endpoint | Description |
|---|
| POST | /api/transfers/bulk-cancel | Cancel multiple transfers |
| POST | /api/transfers/manual | Create manual transfer |
| POST | /api/transfers/validate-path | Validate transfer path |
| GET | /api/transfers/{monitorId}/automation-detail | Get transfer detail with automation data by monitorId |
| POST | /api/transfers/{monitorId}/cancel | Cancel a transfer |
| GET | /api/transfers/{monitorId}/files | Get a list of transfer files by transfer ID |
| POST | /api/transfers/{monitorId}/pause | Pause a transfer |
| PATCH | /api/transfers/{monitorId}/priority | Update the priority of a transfer in the queue |
| POST | /api/transfers/{monitorId}/replay | Replay a previous transfer |
| GET | /api/transfers/{monitorId}/replay-data | Get replay configuration of a previous transfer |
| POST | /api/transfers/{monitorId}/resume | Resume a transfer |
| POST | /api/transfers/{monitorId}/retry | Retry failed transfer files |
| GET | /api/transfers/{monitorId}/verification | Get the integrity verification result of a transfer |
| POST | /api/transfers/{monitorId}/verification | Start integrity verification of a completed transfer |
Transfer History
| Method | Endpoint | Description |
|---|
| GET | /api/transfer-history/export | Export transfer history as CSV |
| GET | /api/transfer-history/{monitorId} | Get a transfer history detail by ID |
Automation
| Method | Endpoint | Description |
|---|
| GET | /api/automation-details/{detailId}/next-schedules | Get next schedules by automation detail |
| GET | /api/automations | Get a list of automations |
| POST | /api/automations | Create Automation |
| GET | /api/automations/{automationId} | Get a automation detail by ID |
| PATCH | /api/automations/{automationId} | Update Automation |
| DELETE | /api/automations/{automationId} | Delete automation by ID |
| GET | /api/automations/{automationId}/details | Get automation details by automationId with transfer percent and device osType |
| POST | /api/automations/{automationId}/pause | pause automation |
Automation Component
| Method | Endpoint | Description |
|---|
| POST | /api/automation-components | Create automation component |
| GET | /api/automation-components/{componentId} | Get automation component by ID |
| PATCH | /api/automation-components/{componentId} | Update automation component |
| DELETE | /api/automation-components/{componentId} | Delete automation component |
| GET | /api/automation-details/{detailId}/components | Get automation component by automation detail ID |
Integration
| Method | Endpoint | Description |
|---|
| GET | /api/integrations | List all configured integrations |
| POST | /api/integrations | Create a new integration |
| GET | /api/integrations/rules/{type} | Get specific integration rule by type |
| PATCH | /api/integrations/{integrationId} | Update an integration |
| DELETE | /api/integrations/{integrationId} | Delete an integration |